org.apache.maven.scm.command.blame

## Class BlameScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.blame.BlameScmResult

All Implemented Interfaces:
  Serializable

    public class BlameScmResult
    extends ScmResult

Since:
  1.4
Author:
  Evgeny Mandrikov, Olivier Lamy
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
Constructor and Description
`BlameScmResult(List<BlameLine> lines, ScmResult scmResult)`
`BlameScmResult(String commandLine, List<BlameLine> lines)`
`BlameScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<BlameLine>` `getLines()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BlameScmResult

    public BlameScmResult(String commandLine,
                          List<BlameLine> lines)

#### BlameScmResult

    public BlameScmResult(String commandLine,
                          String providerMessage,
                          String commandOutput,
                          boolean success)

#### BlameScmResult

    public BlameScmResult(List<BlameLine> lines,
                          ScmResult scmResult)

### Method Detail

#### getLines

    public List<BlameLine> getLines()